Whamcloud - gitweb
b=24378 wrong error code conversion in mdd_path_current()
[fs/lustre-release.git] / build / autogen.sh
index 5d77897..775e6dd 100644 (file)
@@ -31,7 +31,7 @@ error_msg() {
                EOF
        else
                cat >&2 <<-EOF
-               CFS provides RPMs which can be installed alongside your
+               Sun provides RPMs which can be installed alongside your
                existing autoconf/make RPMs, if you are nervous about
                upgrading.  See
 
@@ -105,24 +105,40 @@ for dir in $OPTIONAL_DIRS; do
     fi
 done
 
-check_version automake automake-1.7 "1.7.8"
+for AMVER in 1.7 1.8 1.9 1.10 1.11; do
+     [ "$(which automake-$AMVER 2> /dev/null)" ] && break
+done
+
+[ "${AMVER#1.}" -ge "10" ] && AMOPT="-W no-portability"
+
+check_version automake automake-$AMVER "1.7.8"
 check_version autoconf autoconf "2.57"
 
-echo "Running aclocal-1.7 $ACLOCAL_FLAGS..."
-aclocal-1.7 $ACLOCAL_FLAGS || exit 1
-echo "Running autoheader..."
-autoheader || exit 1
-echo "Running automake-1.7..."
-automake-1.7 -a -c || exit 1
-echo "Running autoconf..."
-autoconf || exit 1
+run_cmd()
+{
+    cmd="$@"
+    echo -n "Running $cmd"
+    eval $cmd
+    res=$?
+    if [ $res -ne 0 ]; then
+        echo " failed: $res"
+        echo "Aborting"
+        exit 1
+    fi
+    echo
+}
+
+run_cmd "aclocal-$AMVER $ACLOCAL_FLAGS"
+run_cmd "autoheader"
+run_cmd "automake-$AMVER -a -c $AMOPT"
+run_cmd autoconf
 
 # Run autogen.sh in these directories
 for dir in $CONFIGURE_DIRS; do
     if [ -d $dir ] ; then
         pushd $dir >/dev/null
         echo "Running autogen for $dir..."
-        sh autogen.sh || exit $?
+        run_cmd "sh autogen.sh"
         popd >/dev/null
     fi
 done